include "inc/exec/lists.inc";
include "inc/exec/interrupts.inc";
include "inc/exec/libraries.inc";
include "inc/exec/tasks.inc";

struct ExecLibBase is
  LibNode:Library;
  SoftVer:uword;
  LowMemChkSum:word;
  ChkBase:ulong;
  ColdCapture:ulong;
  CoolCapture:ulong;
  WarmCapture:ulong;
  SysStkUpper:ulong;
  SysStkLower:ulong;
  MaxLocMem:ulong;
  DebugEntry:ulong;
  DebugData:ulong;
  AlertData:ulong;
  MaxExtMem:ulong;
  ChkSum:uword;
  IntVects[16]:IntVector;
  ThisTask:ulong;
  IdleCount:ulong;
  DispCount:ulong;
  Quantum:uword;
  Elapsed:uword;
  SysFlags:uword;
  IDNestCnt:byte;
  TDNestCnt:byte;
  AttnFlags:uword;
  AttnResched:uword;
  ResModules:ulong;
  TaskTrapCode:ulong;
  TaskExceptCode:ulong;
  TaskExitCode:ulong;
  TaskSigAlloc:ulong;
  TaskTrapAlloc:uword;
  MemList:List;
  ResourceList:List;
  DeviceList:List;
  IntrList:List;
  LibList:List;
  PortList:List;
  TaskReady:List;
  TaskWait:List;
  SoftInts[5]:SoftIntList;
  LastAlert[4]:long;
  VBlankFrequency:ubyte;
  PowerSupplyFrequency:ubyte;
  SemaphoreList:List;
  KickMemPtr:ulong;
  KickTagPtr:ulong;
  KickCheckSum:ulong;
  ex_Pad0:uword;
  ex_LaunchPoint:ulong;
  ex_RamLibPrivate:ulong;
  ex_EClockFrequency:ulong;
  ex_CacheControl:ulong;
  ex_TaskID:ulong;
  ex_Reserved1[5]:ulong;
  ex_MMULock:ulong;
  ex_Reserved2[3]:ulong;
  ex_MemHandlers:MinList;
  ex_MemHandler:ulong;
;

def AFB_68010 = 0;
def AFB_68020 = 1;
def AFB_68030 = 2;
def AFB_68040 = 3;
def AFB_68881 = 4;
def AFB_68882 = 5;
def AFB_FPU40 = 6;
def AFB_PRIVATE = 15;

def AFF_68010 = (1<<0);
def AFF_68020 = (1<<1);
def AFF_68030 = (1<<2);
def AFF_68040 = (1<<3);
def AFF_68881 = (1<<4);
def AFF_68882 = (1<<5);
def AFF_FPU40 = (1<<6);

def AFF_PRIVATE = (1<<15);

def CACRF_EnableI = (1<<0);
def CACRF_FreezeI = (1<<1);
def CACRF_ClearI = (1<<3);
def CACRF_IBE = (1<<4);
def CACRF_EnableD = (1<<8);
def CACRF_FreezeD = (1<<9);
def CACRF_ClearD = (1<<11);
def CACRF_DBE = (1<<12);
def CACRF_WriteAllocate = (1<<13);
def CACRF_EnableE = (1<<30);
def CACRF_CopyBack = (1<<31);

def DMA_Continue = (1<<1);
def DMA_NoModify = (1<<2);
def DMA_ReadFromRAM = (1<<3);

