include "inc/exec/lists.inc";
include "inc/exec/libraries.inc";
include "inc/exec/interrupts.inc";
include "inc/graphics/monitor.inc";

struct GfxLibBase is
  LibNode:Library;
  ActiView:ulong;
  copinit:ulong;
  cia:ulong;
  blitter:ulong;
  LOFlist:ulong;
  SHFlist:ulong;
  blthd:ulong;
  blttl:ulong;
  bsblthd:ulong;
  bsblttl:ulong;
  vbsrv:Interrupt;
  timsrv:Interrupt;
  bltsrv:Interrupt;
  TextFonts:List;
  DefaultFont:ulong;
  Modes:uword;
  VBlank:byte;
  Debug:byte;
  BeamSync:word;
  system_bplcon0:word;
  SpriteReserved:ubyte;
  bytereserved:ubyte;
  Flags:uword;
  BlitLock:word;
  BlitNest:word;
  BlitWaitQ:List;
  BlitOwner:ulong;
  TOF_WaitQ:List;
  DisplayFlags:uword;
  SimpleSprites:ulong;
  MaxDisplayRow:uword;
  MaxDisplayColumn:uword;
  NormalDisplayRows:uword;
  NormalDisplayColumns:uword;
  NormalDPMX:uword;
  NormalDPMY:uword;
  LastChanceMemory:ulong;
  LCMptr:ulong;
  MicrosPerLine:uword;
  MinDisplayColumn:uword;
  ChipRevBits0:ubyte;
  MemType:ubyte;
  crb_reserved[4]:ubyte;
  monitor_id:uword;
  hedley[8]:ulong;
  hedley_sprites[8]:ulong;
  hedley_sprites1[8]:ulong;
  hedley_count:word;
  hedley_flags:uword;
  hedley_tmp:word;
  hash_table:ulong;
  current_tot_rows:uword;
  current_tot_cclks:uword;
  hedley_hint:ubyte;
  hedley_hint2:ubyte;
  nreserved[4]:ulong;
  a2024_sync_raster:ulong;
  control_delta_pal:uword;
  control_delta_ntsc:uword;
  current_monitor:ulong;
  MonitorList:List;
  default_monitor:ulong;
  MonitorListSemaphore:ulong;
  DisplayInfoDataBase:ulong;
  TopLine:uword;
  ActiViewCprSemaphore:ulong;
  UtilBase:ulong;
  ExecBase:ulong;
  bwshifts:ulong;
  StrtFetchMasks:ulong;
  StopFetchMasks:ulong;
  Overrun:ulong;
  RealStops:ulong;
  SpriteWidth:uword;
  SpriteFMode:uword;
  SoftSprites:byte;
  arraywidth:byte;
  DefaultSpriteWidth:uword;
  SprMoveDisable:byte;
  WantChips:ubyte;
  BoardMemType:ubyte;
  Bugs:ubyte;
  gb_LayersBase:ulong;
  ColorMask:ulong;
  IVector:ulong;
  IData:ulong;
  SpecialCounter:ulong;
  DBList:ulong;
  MonitorFlags:uword;
  ScanDoubledSprites:ubyte;
  BP3Bits:ubyte;
  MonitorVBlank:AnalogSignalInterval;
  natural_monitor:ulong;
  ProgData:ulong;
  ExtSprites:ubyte;
  pad3:ubyte;
  GfxFlags:uword;
  VBCounter:ulong;
  HashTableSemaphore:ulong;
  HWEmul[9]:ulong;
;

def ChunkyToPlanarPtr = HWEmul[0];

def NTSC = 1;
def GENLOC = 2;
def PAL = 4;
def TODA_SAFE = 8;
def REALLY_PAL = 16;
def LPEN_SWAP_FRAMES = 32;

def BLITMSG_FAULT = 4;

def GFXB_BIG_BLITS = 0;
def GFXB_HR_AGNUS = 0;
def GFXB_HR_DENISE = 1;
def GFXB_AA_ALICE = 2;
def GFXB_AA_LISA = 3;
def GFXB_AA_MLISA = 4;

def GFXF_BIG_BLITS = 1;
def GFXF_HR_AGNUS = 1;
def GFXF_HR_DENISE = 2;
def GFXF_AA_ALICE = 4;
def GFXF_AA_LISA = 8;
def GFXF_AA_MLISA = 16;

def SETCHIPREV_A = GFXF_HR_AGNUS;
def SETCHIPREV_ECS = (GFXF_HR_AGNUS|GFXF_HR_DENISE);
def SETCHIPREV_AA = (GFXF_AA_ALICE|GFXF_AA_LISA|SETCHIPREV_ECS);
def SETCHIPREV_BEST = $ffffffff;

def BUS_16 = 0;
def NML_CAS = 0;
def BUS_32 = 1;
def DBL_CAS = 2;
def BANDWIDTH_1X = (BUS_16|NML_CAS);
def BANDWIDTH_2XNML = BUS_32;
def BANDWIDTH_2XDBL = DBL_CAS;
def BANDWIDTH_4X = (BUS_32|DBL_CAS);

def NEW_DATABASE = 1;

def GRAPHICSNAME = "graphics.library";

